/**
 * CInput - 表单项，文本输入框
 * @author Tevin
 */

<template>
    <AtInput
        :name="itemRes.name"
        :title="itemRes.label"
        :type="type"
        :placeholder="placeholder"
        :required="itemRes.required"
        :error="itemRes.error"
        :value="itemRes.formData[itemRes.name]"
        :onChange="evt=>itemRes.onChange(evt)"
    >
        <slot />
    </AtInput>
</template>

<script>
import { AtInput } from 'taro-ui-vue';
import './cInput.scss';

export default {
    name: 'CInput',
    components: {
        AtInput,
    },
    props: {
        // 表单数据资源（表单组件内部机制专用）
        itemRes: Object,
        // 输入框类型，text、number、password、phone、idcard、digit
        type: String,
        // 占位提示
        placeholder: String,
    },
    mounted() {},
};
</script>